%define upstream_name    TryCatch
%define upstream_version 1.003002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    Easily build XS extensions that depend on XS extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.120.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.180.0
BuildRequires: perl(B::Hooks::OP::PPAddr) >= 0.30.0
BuildRequires: perl(Devel::Declare) >= 0.5.7
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(Parse::Method::Signatures) >= 1.3.12
BuildRequires: perl(Scope::Upper) >= 0.60.0
BuildRequires: perl(Sub::Exporter) >= 0.979.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Variable::Magic) >= 0.280.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using 'eval {}; if ($@) {}' is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.3.2-26.mga10
+ Revision: 2226734
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.3.2-25.mga10
+ Revision: 2089359
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.3.2-24.mga10
+ Revision: 2011927
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.3.2-23.mga9
+ Revision: 1863161
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.3.2-22.mga9
+ Revision: 1796752
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.3.2-21.mga9
+ Revision: 1727973
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.3.2-20.mga8
+ Revision: 1596060
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.3.2-19.mga8
+ Revision: 1530139
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.3.2-18.mga8
+ Revision: 1433931
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.3.2-17.mga7
+ Revision: 1293895
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.3.2-16.mga7
+ Revision: 1250362
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.3.2-15.mga7
+ Revision: 1167214
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.3.2-14.mga7
+ Revision: 1149957
- Rebuild for perl ABI changes

* Wed Jul 26 2017 neoclust <neoclust> 1.3.2-13.mga7
+ Revision: 1131084
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.3.2-12.mga6
+ Revision: 1035424
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.3.2-11.mga6
+ Revision: 958141
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.3.2-10.mga6
+ Revision: 845422
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.3.2-9.mga6
+ Revision: 841415
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.3.2-8.mga5
+ Revision: 788533
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 747067
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.3.2-6.mga5
+ Revision: 736168
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-5.mga5
+ Revision: 686751
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.3.2-4.mga5
+ Revision: 632486
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 525671
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 1.3.2-2.mga4
+ Revision: 434085
- New rel
- Remove patch that prevents tests to pass
+ jquelin <jquelin>
- wrong patch, reverting
- applying patches manually to get rid of various -p
- fix wrong line number report
- update to 1.003002
- perl 5.18.0 rebuild

* Thu Jan 24 2013 pterjan <pterjan> 1.3.0-5.mga3
+ Revision: 391747
- Add patch found on rt to build with recent B::Hooks::EndOfScope
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.3.0-3.mga3
+ Revision: 251285
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.3.0-2.mga2
+ Revision: 105093
- Rebuild for perl 5.14

* Wed Jan 26 2011 jquelin <jquelin> 1.3.0-1.mga1
+ Revision: 40771
- mageia rebuild
- imported package perl-TryCatch


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 607513
- import perl-TryCatch

